summaryrefslogtreecommitdiff
path: root/hooks/pre-up
diff options
context:
space:
mode:
authorMarc Coquand <marc@mccd.space>2024-05-07 12:29:18 -0500
committerMarc Coquand <marc@mccd.space>2024-05-07 12:29:18 -0500
commitcd5eeeeacd78544203c3e6e65dcaab25ec4a965b (patch)
tree0a757c676a7c68bda6e77b1853acc8865776aa44 /hooks/pre-up
parent712d4ac530363ac11f35b6b7b6b2db138ff98ca6 (diff)
downloadrcm-cd5eeeeacd78544203c3e6e65dcaab25ec4a965b.tar.gz
rcm-cd5eeeeacd78544203c3e6e65dcaab25ec4a965b.tar.bz2
rcm-cd5eeeeacd78544203c3e6e65dcaab25ec4a965b.zip
Add xsync script
Diffstat (limited to 'hooks/pre-up')
-rwxr-xr-xhooks/pre-up/void11
1 files changed, 11 insertions, 0 deletions
diff --git a/hooks/pre-up/void b/hooks/pre-up/void
new file mode 100755
index 0000000..72f1c42
--- /dev/null
+++ b/hooks/pre-up/void
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+# We'll use xpkg from xtools to find installable packages
+if ! [ -x "$(command -v xpkg)" ]; then
+ sudo xbps-install xtools
+fi
+
+# Set up file sync
+if [ ! -f ~/repository.list ]; then
+ xpkg -m > ~/repository.list
+fi \ No newline at end of file